## Assertion Utilities for GString Assertion Utilities for GString — Utilities to write assertions related to GString more easily. |

## Functions

gboolean | gcut_string_equal ()
gchar * | gcut_string_inspect ()

## Description

To write assertions, you need to check equality and show expected and actual values.

The utilities help you to write assertions that are related to GString.

## Functions

### gcut_string_equal ()

    gboolean
    gcut_string_equal (const GString *string1,
                       const GString *string2);

Compares two GString, `string1` and `string2` .

#### Parameters

string1 | a GString to be compared. |
string2 | a GString to be compared. |

#### Returns

`TRUE` if both of `string1` and `string2` have the same content, `FALSE` otherwise.

Since: 1.1.5

### gcut_string_inspect ()

    gchar *
    gcut_string_inspect (const GString *string);

Inspects `string` . The returned string should be freed when no longer needed.

#### Parameters

string | a GString value. |

#### Returns

inspected `string` as a string.

Since: 1.1.5

## Types and Values